import {
  get,
  post
} from '@/common/utils/http-util.ts'

export default {
  paging(data: OrgTypes.SearchOrgParam) {
    return get<G.PageResult<OrgTypes.SearchOrgResult>>('/org/paging', data)
  },
  detail(id: string) {
    return get<OrgTypes.SearchOrgResult>('/org/detail', {id})
  },
  add(data: OrgTypes.AddOrgParam) {
    return post('/org/add', data)
  },
  modify(data: OrgTypes.ModifyOrgParam) {
    return post('/org/modify', data)
  },
  del(ids: string[]) {
    return post('/org/del', ids)
  },
}
